function [dat]=fanalyze_modular2(fn,analyte,rangeA,exclude,std1,std2,tol)
% fanalyze_modular2.m
% based on debug1.m 12/19/14 MNE modular scripting:
% (revised) need to specify: 
% addpath 'C:\Documents and Settings\MassSpec\My Documents\MATLAB\datacorr13'
% modified 01/16/2015 KJS; includes plotting
% requires arguments: fn,analyte,rangeA,exclude,std1,std2,tol
[dat]=ivread1(fn,analyte);
[dat]=check1(dat,rangeA,exclude);
[dat]=stdrec1(dat,analyte,std1,std2);
[dat]=splreg3(dat,std1,std2,tol);
[dat]=ampreg2_spl(dat,std1,std2);
[dat]=tpc2(dat,std1,std2);
[dat]=qc2(dat,std1,std2);
[dat]=output1(dat);
[dat]=diagplot1(dat,std1,std2);
end
