function [dat.species]=species1(analyte);
% [dat.species]=species1(analyte)
% set the parameters depending on analyte
if nargin~=1,
    error('wrong number of arguments')
end
dat.analyte=analyte;

% for CO analyte:
if analyte=='CO', 
    dat.species='F1CO-Report';
elseif analyte=='CO2',
    dat.species='F1CO2-Report';
else
    error('CO or CO2 are valid inputs')    
end

return